[SCM] vdr-plugin-block packaging repository branch, master, updated. debian/0.1.2-1-6-g023e97c

etobi git at e-tobi.net
Fri Mar 22 17:48:17 UTC 2013


The following commit has been merged in the master branch:
commit 40c2de160f45cb797a6d6d7f122a41996abc409c
Author: etobi <git at e-tobi.net>
Date:   Fri Mar 22 18:43:44 2013 +0100

    Added get-vcs-snapshot

diff --git a/debian/get-vcs-snapshot.sh b/debian/get-vcs-snapshot.sh
new file mode 100644
index 0000000..d3f189c
--- /dev/null
+++ b/debian/get-vcs-snapshot.sh
@@ -0,0 +1,20 @@
+echo Downloading latest from git repository...
+set -e
+
+DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
+VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | sed -e 's/^Version:\s*//' -e s/-[^-]*//`
+VERSION_DATE=`/bin/date --utc +%0Y%0m%0d`
+VERSION_FULL="${VERSION_UPSTREAM}+git${VERSION_DATE}"
+
+git clone --depth 1 git://projects.vdr-developer.org/${DEB_SOURCE_PACKAGE}.git
+
+cd ${DEB_SOURCE_PACKAGE}
+GIT_SHA=`git show --pretty=format:"%h" --quiet | head -1 || true`
+cd ..
+
+tar --exclude=.git -czf "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz" ${DEB_SOURCE_PACKAGE}
+
+rm -rf ${DEB_SOURCE_PACKAGE}
+
+git-import-orig --pristine-tar "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz"
+dch -v "$VERSION_FULL-1" "New Upstream Snapshot (commit $GIT_SHA)"
diff --git a/debian/rules b/debian/rules
index bd4c399..af3bfcd 100755
--- a/debian/rules
+++ b/debian/rules
@@ -16,3 +16,6 @@ cleanbuilddir::
 
 common-binary-predeb-arch::
 	sh /usr/share/vdr-dev/dependencies.sh
+
+get-vcs-snapshot:
+	sh debian/get-vcs-snapshot.sh

-- 
vdr-plugin-block packaging repository



More information about the pkg-vdr-dvb-changes mailing list